using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a minotaur corpse" )]
	public class MinotaurChief : BaseCreature
	{
		[Constructable]
		public MinotaurChief() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a minotaur chief";
			Body = 329;
			BaseSoundID = 0x5DF;

			SetStr( 579, 653 );
			SetDex( 144, 173 );
			SetInt( 47, 83 );

			SetHits( 453, 497 );
			SetMana( 0 );

			SetDamage( 14, 25 );

			SetSkill( SkillName.MagicResist, 105.5, 157.5 );
			SetSkill( SkillName.Tactics, 142.7, 165.0 );
			SetSkill( SkillName.HandToHand, 142.7, 165.0 );

			Fame = 9750;
			Karma = -9750;

			VirtualArmor = 65;

			PackItem( new WarHammer() );
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Average );
		}

		public MinotaurChief( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
